#
# sample.py
#
# Copyright (c) 2022 http://www.curict.com
# This software is released under the MIT License, see LICENSE.txt.
#

# ループ処理したい辞書(dict)
weekDict = {'Monday': '月曜日',
            'Tuesday': '火曜日',
            'Wednesday': '水曜日',
            'Thursday': '木曜日',
            'Friday': '金曜日',
            'Saturday': '土曜日',
            'Sunday': '日曜日'}

print('reversed()でループ順序を逆にする')

print('----キーと値を取得----')
# キーと値を取得
for key, value in reversed(weekDict.items()):
    print(f'{key}={value}')

print('')
print('----キーのみ取得----')
# キーのみ取得
for key in reversed(weekDict):
    print(key)


print('')
print('----値のみ取得----')
# 値のみ取得
for value in reversed(weekDict.values()):
    print(value)
