#
# sample.py
#
# Copyright (c) 2022 http://www.curict.com
# This software is released under the MIT License, see LICENSE.txt.
#

# ループ処理したい辞書(dict)
weekDict = {'Monday': '月曜日',
            'Tuesday': '火曜日',
            'Wednesday': '水曜日',
            'Thursday': '木曜日',
            'Friday': '金曜日',
            'Saturday': '土曜日',
            'Sunday': '日曜日'}

# --キーと値-----------------------------------------------------------

# for + items() でキーと値を取得
print('---- for + items() でキーと値を取得 ----')
for key, value in weekDict.items():
    print(f'{key}={value}')


# --キー---------------------------------------------------------------

# for でキーを取得
print('')
print('---- for でキーを取得 ----')
for key in weekDict:
    print(key)

# for + keys() でキーを取得
print('')
print('---- for + keys() でキーを取得 ----')
for key in weekDict.keys():
    print(key)

# for + iter() でキーを取得
print('')
print('---- for + iter() でキーを取得 ----')
for key in iter(weekDict):
    print(key)


# --値-----------------------------------------------------------------

# for + values() で値を取得
print('')
print('---- for + values() で値を取得 ----')
for value in weekDict.values():
    print(value)
